MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
TextInputStream Class Reference

`#include <TextInputStream.hxx>`

## Public Member Functions
| TextInputStream (InputStreamPtr &&_is)
| Wraps an existing InputStream object into a TextInputStream, to read its contents as text lines. More...
| ~TextInputStream ()
| TextInputStream (const TextInputStream &)=delete
TextInputStream & | operator= (const TextInputStream &)=delete
InputStreamPtr && | StealInputStream ()
char * | ReadLine ()
| Reads the next line from the stream with newline character stripped. More...

## Detailed Description

Definition at line 26 of file TextInputStream.hxx.

## Constructor & Destructor Documentation

TextInputStream::TextInputStream | ( | InputStreamPtr && | _is | ) |
| explicit

Wraps an existing InputStream object into a TextInputStream, to read its contents as text lines.

Parameters

  _is | an open InputStream object

TextInputStream::~TextInputStream | ( |  | ) |

TextInputStream::TextInputStream | ( | const TextInputStream & |  | ) |
| delete

## Member Function Documentation

TextInputStream& TextInputStream::operator= | ( | const TextInputStream & |  | ) |
| delete

char* TextInputStream::ReadLine | ( |  | ) |

Reads the next line from the stream with newline character stripped.

Returns
  a pointer to the line, or nullptr on end-of-file or error

InputStreamPtr&& TextInputStream::StealInputStream | ( |  | ) |
| inline

Definition at line 43 of file TextInputStream.hxx.

The documentation for this class was generated from the following file:

- input/TextInputStream.hxx